summaryrefslogtreecommitdiffstats
path: root/desktop/kwalletcli
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2018-03-12 22:58:25 -0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-17 08:51:42 +0700
commit440a88f2b52ed5e27fbf3da00f3563bf45719106 (patch)
treeda45d1a00ef955b71d77570b6ea8bf595a5b1415 /desktop/kwalletcli
parent130f65cada7c235c7cf95b0987f94af5bb42f437 (diff)
downloadslackbuilds-440a88f2b52ed5e27fbf3da00f3563bf45719106.tar.gz
slackbuilds-440a88f2b52ed5e27fbf3da00f3563bf45719106.tar.xz
desktop/kwalletcli: Switch to i586.
Diffstat (limited to 'desktop/kwalletcli')
-rw-r--r--desktop/kwalletcli/kwalletcli.SlackBuild44
1 files changed, 32 insertions, 12 deletions
diff --git a/desktop/kwalletcli/kwalletcli.SlackBuild b/desktop/kwalletcli/kwalletcli.SlackBuild
index 8a2ec339fd..c2f95c9b30 100644
--- a/desktop/kwalletcli/kwalletcli.SlackBuild
+++ b/desktop/kwalletcli/kwalletcli.SlackBuild
@@ -1,6 +1,26 @@
#!/bin/sh
+
# Written by Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
-# Based on http://slackbuilds.org/template.SlackBuild
+
+# Copyright 2018 Benjamin Trigona-Harany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kwalletcli
VERSION=${VERSION:-3.01}
@@ -9,7 +29,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
*) export ARCH=$( uname -m ) ;;
esac
@@ -20,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -37,17 +57,17 @@ fi
set -e
rm -rf $PKG
-mkdir -p $PKG $TMP $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM
tar xzf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p $PKG/usr/bin $PKG/usr/man/man1
CFLAGS="$SLKCFLAGS" \
@@ -55,10 +75,10 @@ CXXFLAGS="$SLKCFLAGS" \
make KDE_VER=4 KDE_INCS="-I /usr/lib$LIBDIRSUFFIX/qt/include -I /usr/lib$LIBDIRSUFFIX/qt/include/QtCore"
make install MANDIR=/usr/man/man DESTDIR=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find $PKG/usr/man -type f -exec gzip -9 {} \;
+find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION